Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.app.analyst.csv.segregate
Class SegregateCSV

    java.lang.Object
      org.encog.app.analyst.csv.basic.BasicFile
          org.encog.app.analyst.csv.segregate.SegregateCSV

All Implemented Interfaces:
  QuantTask

    public class SegregateCSV

extends BasicFile

This class is used to segregate a CSV file into several sub-files. This can be used to create training and evaluation datasets.

Field Summary
`static int` | `TOTAL_PCT` TOtal percents should add to this.

Fields inherited from class org.encog.app.analyst.csv.basic.BasicFile
`REPORT_INTERVAL`

Constructor Summary
`SegregateCSV()`

Method Summary
`void` | `analyze(File inputFile, boolean headers, CSVFormat format)` Analyze the input file.
`List<SegregateTargetPercent>` | `getTargets()`
`void` | `process()` Process the input file and segregate into the output files.

Methods inherited from class org.encog.app.analyst.csv.basic.BasicFile
`appendSeparator, getColumnCount, getInputFilename, getInputFormat, getInputHeadings, getOutputFormat, getPrecision, getRecordCount, getReport, getReportInterval, getScript, isAnalyzed, isExpectInputHeaders, isProduceOutputHeaders, performBasicCounts, prepareOutputFile, readHeaders, reportDone, reportDone, requestStop, resetStatus, setAnalyzed, setColumnCount, setExpectInputHeaders, setInputFilename, setInputFormat, setInputHeadings, setOutputFormat, setPrecision, setProduceOutputHeaders, setRecordCount, setReport, setReportInterval, setScript, shouldStop, toString, updateStatus, updateStatus, validateAnalyzed, writeRow`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TOTAL_PCT

    public static final int TOTAL_PCT

  TOtal percents should add to this.

  See Also:
    Constant Field Values

Constructor Detail

### SegregateCSV

    public SegregateCSV()

Method Detail

### analyze

    public final void analyze(File inputFile,
                              boolean headers,
                              CSVFormat format)

  Analyze the input file.

  Parameters:
    `inputFile` - The input file.
    `headers` - The headers.
    `format` - The format of the input file.

### getTargets

    public final List<SegregateTargetPercent> getTargets()

  Returns:
    The segregation targets.

### process

    public final void process()

  Process the input file and segregate into the output files.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.